holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Ecuador
  EC:
    names:
      es: Ecuador
      en: Ecuador
    dayoff: sunday
    langs:
      - es
    zones:
      - America/Guayaquil
      - Pacific/Galapagos
    days:
      01-01:
        _name: 01-01
      easter -48:
        name:
          en: Carnival
          es: Carnaval
      easter -47:
        _name: easter -47
      easter -3:
        _name: easter -3
      easter -2:
        _name: easter -2
      easter:
        _name: easter
        type: observance
      05-01:
        _name: 05-01
      05-24:
        name:
          en: The Battle of Pichincha
          es: Batalla del Pichincha
      07-24:
        name:
          en: The Birthday of Simón Bolívar
          es: El Natalicio de Simón Bolívar
        type: observance
      08-10:
        name:
          en: Declaration of Independence of Quito
          es: Día del Primer Grito de Independencia de Quito
      09-10:
        name:
          en: Independence of Guayaquil
          es: Independencia de Guayaquil
      10-31:
        name:
          en: Flag Day
          es: Dia de La Bandera
        type: observance
      11-02:
        _name: 11-02
      11-03:
        name:
          en: Independence of Cuenca
          es: Independencia de Cuenca
      12-25:
        _name: 12-25
      12-31:
        _name: 12-31
        type: observance
    states:
      P:
        name: Pichincha
        regions:
          QU:
            name: Quito
            days:
              12-06:
                name:
                  en: Foundation of Quito
                  es: Aniversario de la fundación de Quito
                type: observance
      # A:
      #   name: Azuay
      # B:
      #   name: Bolívar
      # C:
      #   name: Carchi
      # D:
      #   name: Orellana
      # E:
      #   name: Esmeraldas
      # F:
      #   name: Cañar
      # G:
      #   name: Guayas
      # H:
      #   name: Chimborazo
      # I:
      #   name: Imbabura
      # L:
      #   name: Loja
      # M:
      #   name: Manabí
      # N:
      #   name: Napo
      # O:
      #   name: El Oro
      # R:
      #   name: Los Ríos
      # S:
      #   name: Morona-Santiago
      # SD:
      #   name: Santo Domingo de los Tsáchilas
      # SE:
      #   name: Santa Elena
      # T:
      #   name: Tungurahua
      # U:
      #   name: Sucumbíos
      # W:
      #   name: Galápagos
      # X:
      #   name: Cotopaxi
      # Y:
      #   name: Pastaza
      # Z:
      #   name: Zamora-Chinchipe
